Update Person
curl --request PUT \
--url https://crm.universal.rollout.com/api/people/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Rollout-Credential-Id: <api-key>' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"timezone": "<string>",
"assignedUserId": "<string>",
"assignedPondId": "<string>",
"officeId": "<string>",
"timeframeId": "<string>",
"stage": "<string>",
"stageId": "<string>",
"emails": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": true
}
],
"phones": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": true
}
],
"addresses": [
{
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>"
}
],
"tags": [
"<string>"
],
"source": "<string>",
"sourceId": "<string>",
"systemSource": "<string>",
"contactTypes": [
"<string>"
],
"jobTitle": "<string>",
"companyName": "<string>",
"birthday": "<string>",
"averageBeds": 123,
"averagePrice": 123,
"rating": 123,
"lastActivity": "<string>",
"lastActivityType": "<string>",
"communicationsConsent": {
"email": true,
"call": true,
"text": true,
"massEmail": true,
"postal": true,
"visit": true
}
}
'import requests
url = "https://crm.universal.rollout.com/api/people/{id}"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"timezone": "<string>",
"assignedUserId": "<string>",
"assignedPondId": "<string>",
"officeId": "<string>",
"timeframeId": "<string>",
"stage": "<string>",
"stageId": "<string>",
"emails": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": True
}
],
"phones": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": True
}
],
"addresses": [
{
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>"
}
],
"tags": ["<string>"],
"source": "<string>",
"sourceId": "<string>",
"systemSource": "<string>",
"contactTypes": ["<string>"],
"jobTitle": "<string>",
"companyName": "<string>",
"birthday": "<string>",
"averageBeds": 123,
"averagePrice": 123,
"rating": 123,
"lastActivity": "<string>",
"lastActivityType": "<string>",
"communicationsConsent": {
"email": True,
"call": True,
"text": True,
"massEmail": True,
"postal": True,
"visit": True
}
}
headers = {
"Authorization": "Bearer <token>",
"X-Rollout-Credential-Id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'X-Rollout-Credential-Id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
timezone: '<string>',
assignedUserId: '<string>',
assignedPondId: '<string>',
officeId: '<string>',
timeframeId: '<string>',
stage: '<string>',
stageId: '<string>',
emails: [{value: '<string>', type: '<string>', status: '<string>', isPrimary: true}],
phones: [{value: '<string>', type: '<string>', status: '<string>', isPrimary: true}],
addresses: [
{
type: '<string>',
street: '<string>',
city: '<string>',
state: '<string>',
code: '<string>',
country: '<string>'
}
],
tags: ['<string>'],
source: '<string>',
sourceId: '<string>',
systemSource: '<string>',
contactTypes: ['<string>'],
jobTitle: '<string>',
companyName: '<string>',
birthday: '<string>',
averageBeds: 123,
averagePrice: 123,
rating: 123,
lastActivity: '<string>',
lastActivityType: '<string>',
communicationsConsent: {
email: true,
call: true,
text: true,
massEmail: true,
postal: true,
visit: true
}
})
};
fetch('https://crm.universal.rollout.com/api/people/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"timezone": "<string>",
"assignedUserId": "<string>",
"assignedPondId": "<string>",
"officeId": "<string>",
"timeframeId": "<string>",
"stage": "<string>",
"stageId": "<string>",
"tags": [
"<string>"
],
"originalIds": {},
"original": {},
"created": "<string>",
"updated": "<string>",
"rolloutUpdated": "<string>",
"addresses": [
{
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>"
}
],
"emails": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": true
}
],
"phones": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": true
}
],
"source": "<string>",
"sourceId": "<string>",
"systemSource": "<string>",
"averageBeds": 123,
"averagePrice": 123,
"birthday": "<string>",
"lastActivity": "<string>",
"lastActivityType": "<string>",
"contactTypes": [
"<string>"
],
"jobTitle": "<string>",
"companyName": "<string>",
"communicationsConsent": {
"email": true,
"call": true,
"text": true,
"massEmail": true,
"postal": true,
"visit": true
}
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}People
Update Person
PUT /people/
PUT
/
people
/
{id}
Update Person
PUT /people/{id}
Base URL: https://crm.universal.rollout.com/api
Parameters
| Name | In | Type | Required |
|---|---|---|---|
id | path | string | Yes |
mergeTags | query | boolean | string(boolean) | No |
Responses
| Status | Description |
|---|---|
200 | OK |
400 | Bad Request |
404 | Not Found |
409 | Conflict |
OpenAPI Source
/openapi/crm.json PUT /people/{id}Authorizations
Authorization JWT
The Rollout Credential ID to use for queries/mutations
Path Parameters
Query Parameters
Body
application/jsonmultipart/form-datatext/plain
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I